#ifndef __SERIAL_H__
#define __SERIAL_H__

// Function prototypes
void ser_init(void);
char ser_getchar(void);
void ser_isr(void);
void ser_putchar(char data);

// Serial status
extern unsigned char ser_state;
#define ser_getstate()		(ser_state)
#define SER_RXWAITING	0
#define SER_RXBUSY		1
#define SER_RXREADY	2
#define SER_RXERR		3
#define SER_TXBUSY		4

#endif // __SERIAL_H__
